給与確定
PUT
/budgets/determine
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/budgets/determine';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"year":"2022","month":"04","staffId":["1","2","3"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/budgets/determine \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "year": "2022", "month": "04", "staffId": [ "1", "2", "3" ] }'指定した年度、月度、従業員の給与を確定します
この機能はシステム管理者のみ利用可能です
対象
- プラン
- プレミアム
- プレミアムプラス
- エンタープライズ、旧有料
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
year
required
給与確定対象の年度 [YYYY]
string
month
required
給与確定対象の月度 [MM]
string
staffId
required
給与確定対象の従業員IDの配列
Array<string>
Example
{ "year": "2022", "month": "04", "staffId": [ "1", "2", "3" ]}Responses
Section titled “Responses”確定成功
Media typeapplication/json
object
Example
{}- リクエストの形式が不正な場合
- 存在しない従業員IDを含む場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "月度はMM形式で入力してください"}